## dolphin 23.08.5

=== src/CMakeLists.txt ===
include(ECMAddAppIcon)

configure_file(config-dolphin.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-dolphin.h)

add_definitions(
    -DTRANSLATION_DOMAIN=\"dolphin\"
)
remove_definitions(
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
)

##########################################

add_library(dolphinvcs SHARED)

target_sources(dolphinvcs PRIVATE
    views/versioncontrol/kversioncontrolplugin.cpp
)

generate_export_header(dolphinvcs BASE_NAME dolphinvcs)

target_link_libraries(
    dolphinvcs PUBLIC
    Qt${QT_MAJOR_VERSION}::Widgets
)

set_target_properties(dolphinvcs PROPERTIES
    VERSION ${DOLPHINVCS_VERSION}
    SOVERSION ${DOLPHINVCS_SOVERSION}
    EXPORT_NAME DolphinVcs
)

ecm_generate_headers(dolphinvcs_LIB_HEADERS
    HEADER_NAMES
    KVersionControlPlugin

    RELATIVE "views/versioncontrol"
    REQUIRED_HEADERS dolphinvcs_LIB_HEADERS
)

install(TARGETS dolphinvcs EXPORT DolphinVcsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dolphinvcs_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)
install(FILES ${dolphinvcs_LIB_HEADERS} DESTINATION "${KDE_INSTALL_INCLUDEDIR}/Dolphin" COMPONENT Devel)

########### next target ###############

add_library(dolphinprivate SHARED)

target_sources(dolphinprivate PRIVATE
    kitemviews/kfileitemlistview.cpp
    kitemviews/kfileitemlistwidget.cpp
    kitemviews/kfileitemlisttostring.cpp
    kitemviews/kfileitemmodel.cpp
    kitemviews/kfileitemmodelrolesupdater.cpp
    kitemviews/kitemlistcontainer.cpp
    kitemviews/kitemlistcontroller.cpp
    kitemviews/kitemlistgroupheader.cpp
    kitemviews/kitemlistheader.cpp
    kitemviews/kitemlistselectionmanager.cpp
    kitemviews/kitemliststyleoption.cpp
    kitemviews/kitemlistview.cpp
    kitemviews/kitemlistviewaccessible.cpp
    kitemviews/kitemlistwidget.cpp
    kitemviews/kitemmodelbase.cpp
    kitemviews/kitemset.cpp
    kitemviews/kstandarditemlistgroupheader.cpp
    kitemviews/kstandarditemlistwidget.cpp
    kitemviews/kstandarditemlistview.cpp
    kitemviews/private/kdirectorycontentscounter.cpp
    kitemviews/private/kdirectorycontentscounterworker.cpp
    kitemviews/private/kfileitemclipboard.cpp
    kitemviews/private/kfileitemmodelfilter.cpp
    kitemviews/private/kitemlistheaderwidget.cpp
    kitemviews/private/kitemlistkeyboardsearchmanager.cpp
    kitemviews/private/kitemlistroleeditor.cpp
    kitemviews/private/kitemlistrubberband.cpp
    kitemviews/private/kitemlistselectiontoggle.cpp
    kitemviews/private/kitemlistsizehintresolver.cpp
    kitemviews/private/kitemlistsmoothscroller.cpp
    kitemviews/private/kitemlistviewanimation.cpp
    kitemviews/private/kitemlistviewlayouter.cpp
    kitemviews/private/kpixmapmodifier.cpp
    settings/applyviewpropsjob.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewpropertiesdialog.cpp
    settings/viewpropsprogressinfo.cpp
    selectionmode/actiontexthelper.cpp
    views/dolphinfileitemlistwidget.cpp
    views/dolphinitemlistview.cpp
    views/dolphinnewfilemenuobserver.cpp
    views/dolphinremoteencoding.cpp
    views/dolphinview.cpp
    views/dolphinviewactionhandler.cpp
    views/draganddrophelper.cpp
    views/versioncontrol/updateitemstatesthread.cpp
    views/versioncontrol/versioncontrolobserver.cpp
    views/viewmodecontroller.cpp
    views/viewproperties.cpp
    views/zoomlevelinfo.cpp
    dolphinremoveaction.cpp
    middleclickactioneventfilter.cpp
    dolphinnewfilemenu.cpp

    kitemviews/kfileitemlistview.h
    kitemviews/kfileitemlistwidget.h
    kitemviews/kfileitemlisttostring.h
    kitemviews/kfileitemmodel.h
    kitemviews/kfileitemmodelrolesupdater.h
    kitemviews/kitemlistcontainer.h
    kitemviews/kitemlistcontroller.h
    kitemviews/kitemlistgroupheader.h
    kitemviews/kitemlistheader.h
    kitemviews/kitemlistselectionmanager.h
    kitemviews/kitemliststyleoption.h
    kitemviews/kitemlistview.h
    kitemviews/kitemlistviewaccessible.h
    kitemviews/kitemlistwidget.h
    kitemviews/kitemmodelbase.h
    kitemviews/kitemset.h
    kitemviews/kstandarditemlistgroupheader.h
    kitemviews/kstandarditemlistwidget.h
    kitemviews/kstandarditemlistview.h
    kitemviews/private/kdirectorycontentscounter.h
    kitemviews/private/kdirectorycontentscounterworker.h
    kitemviews/private/kfileitemclipboard.h
    kitemviews/private/kfileitemmodelfilter.h
    kitemviews/private/kitemlistheaderwidget.h
    kitemviews/private/kitemlistkeyboardsearchmanager.h
    kitemviews/private/kitemlistroleeditor.h
    kitemviews/private/kitemlistrubberband.h
    kitemviews/private/kitemlistselectiontoggle.h
    kitemviews/private/kitemlistsizehintresolver.h
    kitemviews/private/kitemlistsmoothscroller.h
    kitemviews/private/kitemlistviewanimation.h
    kitemviews/private/kitemlistviewlayouter.h
    kitemviews/private/kpixmapmodifier.h
    settings/applyviewpropsjob.h
    settings/viewmodes/viewmodesettings.h
    settings/viewpropertiesdialog.h
    settings/viewpropsprogressinfo.h
    selectionmode/actiontexthelper.h
    views/dolphinfileitemlistwidget.h
    views/dolphinitemlistview.h
    views/dolphinnewfilemenuobserver.h
    views/dolphinremoteencoding.h
    views/dolphinview.h
    views/dolphinviewactionhandler.h
    views/draganddrophelper.h
    views/versioncontrol/updateitemstatesthread.h
    views/versioncontrol/versioncontrolobserver.h
    views/viewmodecontroller.h
    views/viewproperties.h
    views/zoomlevelinfo.h
    dolphinremoveaction.h
    middleclickactioneventfilter.h
    dolphinnewfilemenu.h
)

ecm_qt_declare_logging_category(dolphinprivate
    HEADER dolphindebug.h
    IDENTIFIER DolphinDebug
    CATEGORY_NAME org.kde.dolphin
    DESCRIPTION "dolphin"
    EXPORT DOLPHIN
)

if(HAVE_BALOO)
    target_sources(dolphinprivate PRIVATE
        views/tooltips/dolphinfilemetadatawidget.cpp
        views/tooltips/tooltipmanager.cpp
        kitemviews/private/kbaloorolesprovider.cpp
        views/tooltips/dolphinfilemetadatawidget.h
        views/tooltips/tooltipmanager.h
        kitemviews/private/kbaloorolesprovider.h
    )
endif()

kconfig_add_kcfg_files(dolphinprivate
    settings/dolphin_compactmodesettings.kcfgc
    settings/dolphin_directoryviewpropertysettings.kcfgc
    settings/dolphin_detailsmodesettings.kcfgc
    settings/dolphin_iconsmodesettings.kcfgc
    settings/dolphin_contentdisplaysettings.kcfgc
    settings/dolphin_generalsettings.kcfgc
    settings/dolphin_contextmenusettings.kcfgc
    settings/dolphin_versioncontrolsettings.kcfgc
)

generate_export_header(dolphinprivate BASE_NAME dolphin)

target_link_libraries(
    dolphinprivate PUBLIC
    dolphinvcs
    Qt${QT_MAJOR_VERSION}::Concurrent
    Qt${QT_MAJOR_VERSION}::Gui
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::KIOFileWidgets
    KF5::Completion
    KF5::TextWidgets
    KF5::ConfigCore
    KF5::NewStuff
    KF5::NewStuffWidgets    # KNSWidgets::Button
    KF5::Parts
    KF5::WindowSystem
    KF5::WidgetsAddons
    KF5::Codecs
)

if(HAVE_BALOO)
    target_link_libraries(
        dolphinprivate PUBLIC
        KF5::FileMetaData
        KF5::Baloo
        KF5::BalooWidgets
    )
endif()

set_target_properties(dolphinprivate PROPERTIES
    VERSION ${DOLPHINPRIVATE_VERSION}
    SOVERSION ${DOLPHINPRIVATE_SOVERSION}
)

install(TARGETS dolphinprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dolphin_export.h DESTINATION ${KDE_INSTALL_INCLUDEDIR} COMPONENT Devel)

##########################################
configure_file(dolphinpart.json.in ${CMAKE_CURRENT_BINARY_DIR}/dolphinpart.json @ONLY)

add_library(dolphinpart MODULE)

target_sources(dolphinpart PRIVATE
    dolphinpart.cpp
    dolphinpart_ext.cpp
    dolphindebug.cpp
    dolphinpart.h
    dolphinpart_ext.h
    dolphindebug.h

    dolphinpart.qrc
)

target_link_libraries(dolphinpart
    dolphinprivate
)

install(TARGETS dolphinpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/parts)
install(FILES dolphinpartactions.desktop DESTINATION "${KDE_INSTALL_DATADIR}/dolphin/")

##########################################

add_library(dolphinstatic STATIC)

target_sources(dolphinstatic PRIVATE
    dolphinbookmarkhandler.cpp
    dolphindockwidget.cpp
    dolphinmainwindow.cpp
    dolphinviewcontainer.cpp
    dolphincontextmenu.cpp
    dolphinnavigatorswidgetaction.cpp
    dolphintabbar.cpp
    dolphinplacesmodelsingleton.cpp
    dolphinrecenttabsmenu.cpp
    dolphintabpage.cpp
    dolphintabwidget.cpp
    dolphinurlnavigator.cpp
    dolphinurlnavigatorscontroller.cpp
    trash/dolphintrash.cpp
    filterbar/filterbar.cpp
    kitemviews/kfileitemlisttostring.cpp
    panels/places/placespanel.cpp
    panels/panel.cpp
    panels/folders/foldersitemlistwidget.cpp
    panels/folders/treeviewcontextmenu.cpp
    panels/folders/folderspanel.cpp
    panels/terminal/terminalpanel.cpp
    search/dolphinfacetswidget.cpp
    search/dolphinquery.cpp
    search/dolphinsearchbox.cpp
    selectionmode/actiontexthelper.cpp
    selectionmode/actionwithwidget.cpp
    selectionmode/backgroundcolorhelper.cpp
    selectionmode/bottombar.cpp
    selectionmode/bottombarcontentscontainer.cpp
    selectionmode/topbar.cpp
    settings/general/behaviorsettingspage.cpp
    settings/general/configurepreviewplugindialog.cpp
    settings/general/confirmationssettingspage.cpp
    settings/general/generalsettingspage.cpp
    settings/general/previewssettingspage.cpp
    settings/general/statusbarsettingspage.cpp
    settings/dolphinsettingsdialog.cpp
    settings/navigation/navigationsettingspage.cpp
    settings/contextmenu/contextmenusettingspage.cpp
    settings/settingspagebase.cpp
    settings/serviceitemdelegate.cpp
    settings/servicemodel.cpp
    settings/startup/startupsettingspage.cpp
    settings/trash/trashsettingspage.cpp
    settings/viewmodes/dolphinfontrequester.cpp
    settings/viewmodes/viewsettingspage.cpp
    settings/viewmodes/viewmodesettings.cpp
    settings/viewmodes/viewsettingstab.cpp
    settings/viewmodes/contentdisplaytab.cpp
    statusbar/dolphinstatusbar.cpp
    statusbar/mountpointobserver.cpp
    statusbar/mountpointobservercache.cpp
    statusbar/spaceinfoobserver.cpp
    statusbar/statusbarspaceinfo.cpp
    views/zoomlevelinfo.cpp
    dolphindebug.cpp
    global.cpp
    dolphin.qrc

    dolphinbookmarkhandler.h
    dolphindockwidget.h
    dolphinmainwindow.h
    dolphinviewcontainer.h
    dolphincontextmenu.h
    dolphinnavigatorswidgetaction.h
    dolphintabbar.h
    dolphinplacesmodelsingleton.h
    dolphinrecenttabsmenu.h
    dolphintabpage.h
    dolphintabwidget.h
    dolphinurlnavigator.h
    dolphinurlnavigatorscontroller.h
    trash/dolphintrash.h
    filterbar/filterbar.h
    kitemviews/kfileitemlisttostring.h
    panels/places/placespanel.h
    panels/panel.h
    panels/folders/foldersitemlistwidget.h
    panels/folders/treeviewcontextmenu.h
    panels/folders/folderspanel.h
    panels/terminal/terminalpanel.h
    search/dolphinfacetswidget.h
    search/dolphinquery.h
    search/dolphinsearchbox.h
    selectionmode/actiontexthelper.h
    selectionmode/actionwithwidget.h
    selectionmode/backgroundcolorhelper.h
    selectionmode/bottombar.h
    selectionmode/bottombarcontentscontainer.h
    selectionmode/topbar.h
    settings/general/behaviorsettingspage.h
    settings/general/configurepreviewplugindialog.h
    settings/general/confirmationssettingspage.h
    settings/general/generalsettingspage.h
    settings/general/previewssettingspage.h
    settings/general/statusbarsettingspage.h
    settings/dolphinsettingsdialog.h
    settings/navigation/navigationsettingspage.h
    settings/contextmenu/contextmenusettingspage.h
    settings/settingspagebase.h
    settings/serviceitemdelegate.h
    settings/servicemodel.h
    settings/startup/startupsettingspage.h
    settings/trash/trashsettingspage.h
    settings/viewmodes/dolphinfontrequester.h
    settings/viewmodes/viewsettingspage.h

=== src/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

find_package(Qt${QT_MAJOR_VERSION}Test CONFIG REQUIRED)
include(ECMAddTests)

include(FindGem)  # For servicemenutest, see bottom of this file

# KItemSetTest
ecm_add_test(kitemsettest.cpp LINK_LIBRARIES dolphinprivate Qt${QT_MAJOR_VERSION}::Test)

# KItemRangeTest
ecm_add_test(kitemrangetest.cpp LINK_LIBRARIES dolphinprivate Qt${QT_MAJOR_VERSION}::Test)


# KItemListSelectionManagerTest
ecm_add_test(kitemlistselectionmanagertest.cpp LINK_LIBRARIES dolphinprivate Qt${QT_MAJOR_VERSION}::Test)

# KItemListControllerTest
ecm_add_test(kitemlistcontrollertest.cpp testdir.cpp
TEST_NAME kitemlistcontrollertest
LINK_LIBRARIES dolphinprivate Qt${QT_MAJOR_VERSION}::Test)

# KItemListControllerExpandTest
ecm_add_test(kitemlistcontrollerexpandtest.cpp testdir.cpp
TEST_NAME kitemlistcontrollerexpandtest
LINK_LIBRARIES dolphinprivate Qt${QT_MAJOR_VERSION}::Test)

# KFileItemListViewTest
ecm_add_test(kfileitemlistviewtest.cpp testdir.cpp
TEST_NAME kfileitemlistviewtest
LINK_LIBRARIES dolphinprivate Qt${QT_MAJOR_VERSION}::Test)

# KFileItemModelTest
ecm_add_test(kfileitemmodeltest.cpp testdir.cpp
TEST_NAME kfileitemmodeltest
LINK_LIBRARIES dolphinprivate dolphinstatic Qt${QT_MAJOR_VERSION}::Test)

# KFileItemModelBenchmark, not run automatically with `ctest` or `make test`
add_executable(kfileitemmodelbenchmark kfileitemmodelbenchmark.cpp testdir.cpp)
target_link_libraries(kfileitemmodelbenchmark dolphinprivate Qt${QT_MAJOR_VERSION}::Test)

# KItemListKeyboardSearchManagerTest
ecm_add_test(kitemlistkeyboardsearchmanagertest.cpp LINK_LIBRARIES dolphinprivate Qt${QT_MAJOR_VERSION}::Test)

# DolphinSearchBox
if (KF5Baloo_FOUND)
    ecm_add_test(dolphinsearchboxtest.cpp
    TEST_NAME dolphinsearchboxtest
    LINK_LIBRARIES dolphinprivate dolphinstatic Qt${QT_MAJOR_VERSION}::Test)
endif()

# DolphinQuery
if (KF5Baloo_FOUND)
    ecm_add_test(dolphinquerytest.cpp
    TEST_NAME dolphinquerytest
    LINK_LIBRARIES dolphinprivate dolphinstatic Qt${QT_MAJOR_VERSION}::Test)
endif()

# ViewPropertiesTest
ecm_add_test(viewpropertiestest.cpp testdir.cpp
TEST_NAME viewpropertiestest
LINK_LIBRARIES dolphinprivate dolphinstatic Qt${QT_MAJOR_VERSION}::Test)

# DolphinMainWindowTest
ecm_add_test(dolphinmainwindowtest.cpp testdir.cpp ${CMAKE_SOURCE_DIR}/src/dolphin.qrc
TEST_NAME dolphinmainwindowtest
LINK_LIBRARIES dolphinprivate dolphinstatic Qt${QT_MAJOR_VERSION}::Test)

# DragAndDropHelperTest
ecm_add_test(draganddrophelpertest.cpp LINK_LIBRARIES dolphinprivate Qt${QT_MAJOR_VERSION}::Test)

find_gem(test-unit)
set_package_properties(Gem_test-unit PROPERTIES
    TYPE RECOMMENDED
    DESCRIPTION "Ruby gem 'test-unit' required for testing of servicemenu helpers.")
if (Gem_test-unit_FOUND)
    add_test(NAME servicemenutest
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/../settings/contextmenu/test/test_run.rb)
endif()

=== debian/changelog ===
dolphin (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:38:22 +0200

dolphin (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:32:50 +0000

dolphin (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:15:09 +0000

dolphin (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:29:05 -0700

dolphin (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:11:06 +0000

dolphin (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:30:11 +0000

dolphin (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:26:34 +0100

dolphin (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:54:48 +0100

dolphin (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:49:35 +0100

dolphin (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:29:42 +0100

dolphin (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:41:48 +0100

dolphin (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libqt5x11extras5-dev to Build-Depends
  * Update installed files
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:28 +0100

dolphin (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:33:49 +0000

dolphin (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:09:58 -0600

dolphin (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:04 +0000

dolphin (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on libkf5baloowidgets-dev (>= 4:22.12.0~)
    - Disable acc test.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Dec 2022 08:50:29 +0000

dolphin (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:04:40 +0000

dolphin (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:01:06 +0000

dolphin (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:47:20 +0000

dolphin (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:04:46 +0000

=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: baloo-kf5-dev (>= 5.92.0~) [!hurd-any],
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.92.0~),
               gettext,
               kinit-dev (>= 5.77.0~),
               kuserfeedback-dev (>= 1.2.0~),
               libkf5activities-dev (>= 5.92.0~),
               libkf5baloowidgets-dev (>= 4:23.08.5~) [!hurd-any],
               libkf5bookmarks-dev (>= 5.92.0~),
               libkf5completion-dev (>= 5.92.0~),
               libkf5config-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5crash-dev (>= 5.92.0~),
               libkf5dbusaddons-dev (>= 5.92.0~),
               libkf5doctools-dev (>= 5.92.0~),
               libkf5filemetadata-dev (>= 5.92.0~),
               libkf5i18n-dev (>= 5.92.0~),
               libkf5iconthemes-dev (>= 5.92.0~),
               libkf5kcmutils-dev (>= 5.92.0~),
               libkf5kio-dev (>= 5.92.0~),
               libkf5newstuff-dev (>= 5.92.0~),
               libkf5notifications-dev (>= 5.92.0~),
               libkf5parts-dev (>= 5.92.0~),
               libkf5solid-dev (>= 5.92.0~),
               libkf5textwidgets-dev (>= 5.92.0~),
               libkf5widgetsaddons-dev (>= 5.92.0~),
               libkf5windowsystem-dev (>= 5.92.0~),
               libpackagekitqt5-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqt5x11extras5-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/dolphin
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin

Package: dolphin
Section: utils
Architecture: any
Depends: baloo-kf5, kinit, ${misc:Depends}, ${shlibs:Depends}
Recommends: ffmpegthumbs,
            kdegraphics-thumbnailers,
            kimageformat-plugins,
            kio-extras,
Suggests: dolphin-plugins
Conflicts: dolphin-plugins (<< 4:21.04.0~)
Description: file manager
 Dolphin is the default file manager in the Plasma, intended
 to be both powerful and easy to use.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdolphinvcs5 (= ${binary:Version}),
         libkf5kio-dev (>= 5.92.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.
 .
 This package contains the development files.

Package: libdolphinvcs5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	# Disable unittest at build time
	:

override_dh_gencontrol: libpkgs_gen_strict_local_shlibs
	dh_gencontrol

## dolphin 24.08.0

=== debian/changelog ===
dolphin (4:24.08.0-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update dev package dependencies.
  * Update the list of installed files.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 22:50:39 +0100

dolphin (4:24.08.0-4) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Switch kimageformat-plugins dependency to kimageformat6-plugins.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 02 Oct 2024 09:11:20 +0200

dolphin (4:24.08.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Recommend Qt 6-based version of kio-extras.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 23:32:19 +0200

dolphin (4:24.08.0-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix arch:all build.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 14:40:24 +0200

dolphin (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add Breaks against older version of dolphin-plugins.
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 12:11:01 +0200

dolphin (4:24.05.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with info from cmake.
  * B-D on pkgconf instead of pkg-config.
  * Bump libdolphinvcs5 soname to 6.
  * Update list of installed files from build system.
  * B-D on dh-sequence-kf6 and update d/rules to match.
  * Generate new libdolphinvcs6.symbols.
  * Update lintian overrides.
  * Enable optional baloo-widgets support.
  * Update copyright info.
  * Override lintian W: no-manual-page for dolphin and
    servicemenuinstaller.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Split arch-indep files into dolphin-data and dolphin-doc.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 30 Jul 2024 23:01:13 +0200

=== debian/control ===
Source: dolphin
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libbaloowidgets-dev (>= 24.08.0~),
               libkf6baloo-dev (>= 6.2.0~) [!hurd-any],
               libkf6bookmarks-dev (>= 6.2.0~),
               libkf6codecs-dev (>= 6.2.0~),
               libkf6completion-dev (>= 6.2.0~),
               libkf6config-dev (>= 6.2.0~),
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6crash-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6doctools-dev (>= 6.2.0~),
               libkf6filemetadata-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6iconthemes-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.2.0~),
               libkf6kio-dev (>= 6.2.0~),
               libkf6newstuff-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6parts-dev (>= 6.2.0~),
               libkf6solid-dev (>= 6.2.0~),
               libkf6textwidgets-dev (>= 6.2.0~),
               libkf6userfeedback-dev (>= 6.2.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libpackagekitqt6-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libplasmaactivities-dev,
               pkgconf,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/dolphin
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git

Package: dolphin
Section: utils
Architecture: any
Depends: baloo6,
         dolphin-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dolphin-doc (>= 4:24.05.2~),
            ffmpegthumbs,
            kdegraphics-thumbnailers,
            kimageformat6-plugins,
            kio-extras (>= 4:24.08.0~),
Suggests: dolphin-plugins,
Breaks: dolphin-plugins (<< 4:24.05~),
Description: file manager
 Dolphin is KDE's file manager that lets you navigate and browse the contents
 of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
 deleting files and folders is simple and fast.
 .
 Features include:
   Customisable sidebars
   "Breadcrumb" navigation
   View properties remembered for each folder
   Split views
   Integrated terminal
   Network transparency
   Undo/redo functionality
   Ratings, comments, and tags

Package: dolphin-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
Description: file manager - development files
 Contains DBus interface XML files to access dolphin via the DBus
 org.freedesktop.FileManager1 interface.

Package: dolphin-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: dolphin (<< 4:24.05.2-1~),
Replaces: dolphin (<< 4:24.05.2-1~),
Description: file manager - documentation
 Dolphin is KDE's file manager that lets you navigate and browse the contents
 of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
 deleting files and folders is simple and fast.
 .
 This package contains the HTML documentation.

Package: dolphin-data
Section: utils
Architecture: all
Depends: ${misc:Depends},
Breaks: dolphin (<< 4:24.05.2-1~),
Replaces: dolphin (<< 4:24.05.2-1~),
Description: file manager - data
 Dolphin is KDE's file manager that lets you navigate and browse the contents
 of your hard drives, USB sticks, SD cards, and more. Creating, moving, or
 deleting files and folders is simple and fast.
 .
 This package contains architecture-independent data files.

Package: libdolphinvcs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdolphinvcs6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0~),
         ${misc:Depends},
Description: library to show version control in Dolphin - development files
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.
 .
 This package contains the development files.

Package: libdolphinvcs6
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library to show version control in Dolphin
 This library enables developers to expand Dolphin with the ability to show
 version control status in directories that are version controlled.

## dolphin 24.08.1

=== debian/changelog ===
dolphin (4:24.08.1-0ubuntu2) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:05:25 +0100

dolphin (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:23:36 +0100

dolphin (4:24.08.0-3ubuntu1) oracular; urgency=medium

  * Merge debian experimental. 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 07 Sep 2024 02:02:26 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dolphin
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -40,8 +41,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
 
 Package: dolphin
 Section: utils
@@ -53,7 +54,7 @@
 Recommends: dolphin-doc (>= 4:24.05.2~),
             ffmpegthumbs,
             kdegraphics-thumbnailers,
-            kimageformat6-plugins,
+            kimageformat-plugins,
             kio-extras (>= 4:24.08.0~),
 Suggests: dolphin-plugins,
 Breaks: dolphin-plugins (<< 4:24.05~),
@@ -112,6 +113,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libdolphinvcs6 (= ${binary:Version}),
+         libkf6kio-dev (>= 6.2.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},
 Description: library to show version control in Dolphin - development files

## dolphin 24.12.0.1

=== debian/changelog ===
dolphin (4:24.12.0.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 08:53:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: dolphin
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.2.0~),
                gettext,
                libbaloowidgets-dev (>= 24.08.0~),
@@ -20,6 +19,7 @@
                libkf6dbusaddons-dev (>= 6.2.0~),
                libkf6doctools-dev (>= 6.2.0~),
                libkf6filemetadata-dev (>= 6.2.0~),
+               libkf6guiaddons-dev (>= 6.2.0~),
                libkf6i18n-dev (>= 6.2.0~),
                libkf6iconthemes-dev (>= 6.2.0~),
                libkf6kcmutils-dev (>= 6.2.0~),
@@ -41,8 +41,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git
 
 Package: dolphin
 Section: utils
@@ -54,7 +54,7 @@
 Recommends: dolphin-doc (>= 4:24.05.2~),
             ffmpegthumbs,
             kdegraphics-thumbnailers,
-            kimageformat-plugins,
+            kimageformat6-plugins,
             kio-extras (>= 4:24.08.0~),
 Suggests: dolphin-plugins,
 Breaks: dolphin-plugins (<< 4:24.05~),
@@ -113,7 +113,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: libdolphinvcs6 (= ${binary:Version}),
-         libkf6kio-dev (>= 6.2.0~),
          qt6-base-dev (>= 6.5.0~),
          ${misc:Depends},
 Description: library to show version control in Dolphin - development files

## dolphin 24.12.1

=== debian/changelog ===
dolphin (4:24.12.1-2) unstable; urgency=medium

  * Bump libbaloowidgets-dev minimum version
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 25 Jan 2025 13:57:51 +0100

dolphin (4:24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 22:59:13 +0100

dolphin (4:24.12.0.1-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix epoch of the baloo-widgets build dependency, fixes the missing info
    panel for real…

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 19:27:55 +0100

dolphin (4:24.12.0.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Bump minimal version of baloo-widgets to fix missing info panel.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Dec 2024 18:36:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.2.0~),
                gettext,
-               libbaloowidgets-dev (>= 24.08.0~),
+               libbaloowidgets-dev (>= 4:24.12.1~),
                libkf6baloo-dev (>= 6.2.0~) [!hurd-any],
                libkf6bookmarks-dev (>= 6.2.0~),
                libkf6codecs-dev (>= 6.2.0~),

## dolphin 24.12.2

=== debian/changelog ===
dolphin (4:24.12.2-2) unstable; urgency=medium

  * Team upload.
  * Move the AppStream XML metainfo from dolphin-data to dolphin, together
    with the executable it represents
    - add proper breaks/replaces
  * Remove an obsolete maintscript entry.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Feb 2025 11:44:44 +0100

dolphin (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Feb 2025 18:19:15 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.2.0~),
                gettext,
-               libbaloowidgets-dev (>= 4:24.12.1~),
+               libbaloowidgets-dev (>= 4:24.12.2~),
                libkf6baloo-dev (>= 6.2.0~) [!hurd-any],
                libkf6bookmarks-dev (>= 6.2.0~),
                libkf6codecs-dev (>= 6.2.0~),
@@ -55,9 +55,11 @@
             ffmpegthumbs,
             kdegraphics-thumbnailers,
             kimageformat6-plugins,
-            kio-extras (>= 4:24.08.0~),
+            kio-extras (>= 4:24.12.2~),
 Suggests: dolphin-plugins,
 Breaks: dolphin-plugins (<< 4:24.05~),
+        dolphin-data (<< 4:24.12.2-2~),
+Replaces: dolphin-data (<< 4:24.12.2-2~),
 Description: file manager
  Dolphin is KDE's file manager that lets you navigate and browse the contents
  of your hard drives, USB sticks, SD cards, and more. Creating, moving, or

## dolphin 24.12.3

=== debian/changelog ===
dolphin (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:13:40 -0500

dolphin (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:35:21 +0000

dolphin (4:24.12.2-2ubuntu1) plucky; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2025 13:30:28 +0000

dolphin (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 15:19:34 +0000

dolphin (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:02:19 -0600

dolphin (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:24:31 +0000

dolphin (4:24.12.0.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0.1).

 -- Rik Mills <rikmills@kde.org>  Thu, 19 Dec 2024 23:55:58 +0000

dolphin (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:02:10 +0000

dolphin (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:19:14 -0600

dolphin (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:01:39 +0000

dolphin (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 18:15:56 +0000

dolphin (4:24.08.3-0ubuntu2) plucky; urgency=medium

  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 22:36:47 +0000

dolphin (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 22:16:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: dolphin
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.2.0~),
                gettext,
-               libbaloowidgets-dev (>= 4:24.12.2~),
+               libbaloowidgets-dev (>= 4:24.12.3~),
                libkf6baloo-dev (>= 6.2.0~) [!hurd-any],
                libkf6bookmarks-dev (>= 6.2.0~),
                libkf6codecs-dev (>= 6.2.0~),
@@ -41,8 +42,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
 
 Package: dolphin
 Section: utils

## dolphin 25.03.90

=== debian/changelog ===
dolphin (4:25.03.90-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Backport patch to fix the session restore (Closes: #1103258).

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Apr 2025 18:04:38 +0200

dolphin (4:25.03.90-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport commit to fix count of items in folders not updated on file
    creation. (Closes: #1102996)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Apr 2025 11:20:14 +0200

dolphin (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Bump minimal required version of baloo-widgets.
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:14:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,49 +1,49 @@
 Source: dolphin
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
-               extra-cmake-modules (>= 6.2.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.9.0~),
                gettext,
-               libbaloowidgets-dev (>= 4:24.12.3~),
-               libkf6baloo-dev (>= 6.2.0~) [!hurd-any],
-               libkf6bookmarks-dev (>= 6.2.0~),
-               libkf6codecs-dev (>= 6.2.0~),
-               libkf6completion-dev (>= 6.2.0~),
-               libkf6config-dev (>= 6.2.0~),
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6crash-dev (>= 6.2.0~),
-               libkf6dbusaddons-dev (>= 6.2.0~),
-               libkf6doctools-dev (>= 6.2.0~),
-               libkf6filemetadata-dev (>= 6.2.0~),
-               libkf6guiaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6iconthemes-dev (>= 6.2.0~),
-               libkf6kcmutils-dev (>= 6.2.0~),
-               libkf6kio-dev (>= 6.2.0~),
-               libkf6newstuff-dev (>= 6.2.0~),
-               libkf6notifications-dev (>= 6.2.0~),
-               libkf6parts-dev (>= 6.2.0~),
-               libkf6solid-dev (>= 6.2.0~),
-               libkf6textwidgets-dev (>= 6.2.0~),
-               libkf6userfeedback-dev (>= 6.2.0~),
-               libkf6widgetsaddons-dev (>= 6.2.0~),
-               libkf6windowsystem-dev (>= 6.2.0~),
+               libbaloowidgets-dev (>= 4:25.03.90~),
+               libkf6baloo-dev (>= 6.9.0~) [!hurd-any],
+               libkf6bookmarks-dev (>= 6.9.0~),
+               libkf6codecs-dev (>= 6.9.0~),
+               libkf6completion-dev (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6crash-dev (>= 6.9.0~),
+               libkf6dbusaddons-dev (>= 6.9.0~),
+               libkf6doctools-dev (>= 6.9.0~),
+               libkf6filemetadata-dev (>= 6.9.0~),
+               libkf6guiaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
+               libkf6iconthemes-dev (>= 6.9.0~),
+               libkf6kcmutils-dev (>= 6.9.0~),
+               libkf6kio-dev (>= 6.9.0~),
+               libkf6newstuff-dev (>= 6.9.0~),
+               libkf6notifications-dev (>= 6.9.0~),
+               libkf6parts-dev (>= 6.9.0~),
+               libkf6solid-dev (>= 6.9.0~),
+               libkf6textwidgets-dev (>= 6.9.0~),
+               libkf6userfeedback-dev (>= 6.9.0~),
+               libkf6widgetsaddons-dev (>= 6.9.0~),
+               libkf6windowsystem-dev (>= 6.9.0~),
                libpackagekitqt6-dev,
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
                libplasmaactivities-dev,
                pkgconf,
                qt6-base-dev (>= 6.4.0~),
-Standards-Version: 4.7.0
+               qt6-base-private-dev,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/dolphin
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/dolphin
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git
 
 Package: dolphin
 Section: utils
@@ -58,8 +58,7 @@
             kimageformat6-plugins,
             kio-extras (>= 4:24.12.2~),
 Suggests: dolphin-plugins,
-Breaks: dolphin-plugins (<< 4:24.05~),
-        dolphin-data (<< 4:24.12.2-2~),
+Breaks: dolphin-data (<< 4:24.12.2-2~), dolphin-plugins (<< 4:24.05~),
 Replaces: dolphin-data (<< 4:24.12.2-2~),
 Description: file manager
  Dolphin is KDE's file manager that lets you navigate and browse the contents

## dolphin 25.04.0

=== debian/changelog ===
dolphin (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:25:00 +0200

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
                qt6-base-private-dev,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://apps.kde.org/en/dolphin
+Homepage: https://apps.kde.org/dolphin/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/dolphin
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/dolphin.git

## dolphin 25.04.2

=== debian/changelog ===
dolphin (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Promote dolphin-plugins to Recommends.
  * Also recommend kdenetwork-filesharing.
  * Suggest kio-admin.
  * New upstream release (25.04.1):
    -  DolphinStatusbar: Fix background and margins for non-Breeze styles.
    - DolphinView: If contextmenu is requested, abort twoClicksRenaming.
    (kde#503185)
    - Dolphinui: Set view_mode action to low priority. (kde#501498)
    - Use dolphin icon for dolphin windows.
    - KStandardItemList: have emblem when hovering.
    - Fix session restore. (kde#502770).
  * New upstream release (25.04.2):
    - Translation fixes.
  * Drop patch applied upstream.
  * Relax required baloo widgets version to fix missing side information
    panel. (Closes: #1104977)
  * Make baloo widgets a required dependency so we don’t silently break
    the side information panel again.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jun 2025 07:51:00 +0200
